Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::ZipConvert< First_, Second_ > Struct Template Reference

Zips two convert operations.

`#include <zip_fragment.h>`

## Public Types
typedef First_ | First
| First convert operator. More...
typedef Second_ | Second
| Second convert operator. More...
typedef ZipFragment< typename First::InputFragment, typename Second::InputFragment > | InputFragment
| Defines the input zip fragment. More...
typedef ZipFragment< typename First::OutputFragment, typename Second::OutputFragment > | OutputFragment
| Defines the output zip fragment. More...

## Public Member Functions
CUTLASS_DEVICE | ZipConvert ()
| Ctor. More...
CUTLASS_DEVICE | ZipConvert (First const &_first, Second const &_second)
| Ctor. More...
CUTLASS_DEVICE void | transform (InputFragment const &src, OutputFragment &dst)
| Transform a fragment. More...

## Public Attributes
First | first
| First transformer. More...
Second | second
| Second transformer. More...

## Member Typedef Documentation

## ◆ First

template<typename First_, typename Second_>

typedef First_ cutlass::ZipConvert< First_, Second_ >::First

## ◆ InputFragment

template<typename First_, typename Second_>

typedef ZipFragment<typename First::InputFragment, typename Second::InputFragment> cutlass::ZipConvert< First_, Second_ >::InputFragment

## ◆ OutputFragment

template<typename First_, typename Second_>

typedef ZipFragment<typename First::OutputFragment, typename Second::OutputFragment> cutlass::ZipConvert< First_, Second_ >::OutputFragment

## ◆ Second

template<typename First_, typename Second_>

typedef Second_ cutlass::ZipConvert< First_, Second_ >::Second

## Constructor & Destructor Documentation

## ◆ ZipConvert() [1/2]

template<typename First_, typename Second_>

CUTLASS_DEVICE cutlass::ZipConvert< First_, Second_ >::ZipConvert | ( |  | ) |
| inline

## ◆ ZipConvert() [2/2]

template<typename First_, typename Second_>

CUTLASS_DEVICE cutlass::ZipConvert< First_, Second_ >::ZipConvert | ( | First const & | _first,
|  | Second const & | _second
| ) |  |
| inline

## Member Function Documentation

## ◆ transform()

template<typename First_, typename Second_>

CUTLASS_DEVICE void cutlass::ZipConvert< First_, Second_ >::transform | ( | InputFragment const & | src,
|  | OutputFragment & | dst
| ) |  |
| inline

## Member Data Documentation

## ◆ first

template<typename First_, typename Second_>

First cutlass::ZipConvert< First_, Second_ >::first

## ◆ second

template<typename First_, typename Second_>

Second cutlass::ZipConvert< First_, Second_ >::second

The documentation for this struct was generated from the following file:

- zip_fragment.h